Page MenuHomePhabricator

Remove commit linter
ClosedPublic

Authored by joshuaspence on May 4 2015, 2:51 PM.
Tags
None
Referenced Files
Unknown Object (File)
Jun 29 2022, 10:19 PM
Unknown Object (File)
Jun 22 2022, 12:37 PM
Unknown Object (File)
Jun 18 2022, 11:46 AM
Unknown Object (File)
Jun 9 2022, 10:24 PM
Unknown Object (File)
May 27 2022, 10:19 AM
Unknown Object (File)
May 25 2022, 8:57 PM
Unknown Object (File)
Apr 11 2017, 11:42 AM
Unknown Object (File)
Apr 9 2017, 2:24 AM
Subscribers

Details

Summary

Ref T7674. This linter doesn't make sense without commit hooks.

Test Plan

N/A

Diff Detail

Repository
rARC Arcanist
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

joshuaspence retitled this revision from to Remove commit linter.
joshuaspence updated this object.
joshuaspence edited the test plan for this revision. (Show Details)
joshuaspence added a reviewer: epriestley.
epriestley edited edge metadata.

This is still sort of useful, in that you can write something like this, right?

// @nocommit: Just for testing, revert before sending for review!!
// $value = real_value();
$value = 42;

I think it's still fine to get rid of since this is super marginal and you can write a similar rule using script+regex or something once it modernizes.

This revision is now accepted and ready to land.May 4 2015, 2:57 PM

You could do that, but it doesn't prevent the code from actually being pushed. This makes it significantly less valuable.

This revision was automatically updated to reflect the committed changes.